<?php
require_once("DBManager.class.php");

class Pacto{
	private $idpacto;
	private $convenio;///
	private $fechapacto;
	private $estado;
		
	///////////////////////////////////////////
	public function Crear($conv,$fechapacto,$es)
	{
		$resp=false;		
		$db= new DBManager();	
		//$f = implode("-", array_reverse(explode("-", $f)));	
		if($db->_execute("INSERT INTO pacto(idpacto,convenio,fechapacto,estado) VALUES(null,'".$conv."','".$fechapacto."','".$es."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorFecha($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select idpacto,convenio,fechapacto,estado,aporte from pacto where(fechapacto ='".$v."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idpacto"	    => $rs->fields["idpacto"],
									"convenio"	    => $rs->fields["convenio"],
									"fechapacto" 	    => $rs->fields["fechapacto"],
									"estado" 	=> $rs->fields["estado"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select idpacto,convenio,fechapacto,estado from pacto where(idpacto = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                 $this->idpacto=$rs->fields["idpacto"];
					  $this->convenio=$rs->fields["convenio"];
					  $this->fechapacto=$rs->fields["fechapacto"];
				      $this->estado=$rs->fields["estado"];					  
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	////////////////////////////////////////////	
	
	public function Actualizar($vid,$con,$fechapacto,$es)			
	{
		$resp=false;		
		$db= new DBManager();	
		//$fn = implode("-",array_reverse(explode("-",$fn)));	
		if($db->_execute("update pacto set convenio = '".$con."', fechapacto='".$fechapacto."',estado = '".$es."' where (idpacto=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	/////////////////////////////////
	public function ListaPorConvenio($v)
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select idpacto,convenio,fechapacto,estado from pacto where convenio like CONCAT('%','".$v."','%') ");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idpacto"	    => $rs->fields["idpacto"],
									"convenio"	    => $rs->fields["convenio"],
									"fechapacto" 	    => $rs->fields["fechapacto"],
									"estado" 	=> $rs->fields["estado"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM pacto WHERE (idpacto=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////						
	public function getidpacto(){ return $this->idpacto;}
	public function getconvenio(){ return $this->convenio;}
	public function getestado(){ return $this->estado;}
	public function getfechapacto(){ return $this->fechapacto;}
	
	}
?>
